Restore

Status endpoints for requested restores.

This tag groups all operations for restore.

Retrieve all Restore

get
/snapshots/{snapshotId}/restores

This endpoint enables retrieving all Restore using pagination and optional filters.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
snapshotIdstring · uuidRequired

The ID (UUID) of the Snapshot.

Example: a8784665-3d99-5464-af32-30a2967f58e7
Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use this parameter together with the offset for pagination.

Default: 100Example: 100
filter.namestringOptional

Response filter to list only items contain the specified name. The value is case insensitive and matched on the 'displayName' field.

Responses
chevron-right
200

Returned all requested Restore successfully.

application/json

Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.

idstring · uuidRequired

ID of the list of Restore resources.

Example: 5348fe6c-5e4a-5ff3-aa3c-d5232987f9d5
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of Restore resources.

Example: /snapshots/{snapshotId}/restores
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get
/snapshots/{snapshotId}/restores

Create Restore

post
/snapshots/{snapshotId}/restores

Creates a new Restore.

The full Restore needs to be provided to create the object. Optional data will be filled with defaults or left empty.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
snapshotIdstring · uuidRequired

The ID (UUID) of the Snapshot.

Example: a8784665-3d99-5464-af32-30a2967f58e7
Body
metadataanyOptional

Metadata

Responses
post
/snapshots/{snapshotId}/restores

Retrieve Restore

get
/snapshots/{snapshotId}/restores/{restoreId}

Returns the Restore by ID.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
snapshotIdstring · uuidRequired

The ID (UUID) of the Snapshot.

Example: a8784665-3d99-5464-af32-30a2967f58e7
restoreIdstring · uuidRequired

The ID (UUID) of the Restore.

Example: 39fe1580-552b-5182-8939-a3ac6c38f94c
Responses
chevron-right
200

Getting Restore was successful.

application/json
idstring · uuidRequired

The ID (UUID) of the Restore.

Example: 39fe1580-552b-5182-8939-a3ac6c38f94c
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the Restore.

Example: /snapshots/{snapshotId}/restores/39fe1580-552b-5182-8939-a3ac6c38f94c
get
/snapshots/{snapshotId}/restores/{restoreId}

Last updated

Was this helpful?